CREATE TABLE gms_award_funding_int (
    AWARD_FUNDING_INTERFACE_ID    NUMBER(18, 0) ,
    LOAD_REQUEST_ID               NUMBER(18, 0) ,
    AWARD_NUMBER                  VARCHAR2(1200),
    BUDGET_PERIOD_NAME            VARCHAR2(240) ,
    FUNDING_SOURCE_NAME           VARCHAR2(1440),
    FUNDING_SOURCE_NUMBER         VARCHAR2(200) ,
    ISSUE_TYPE                    VARCHAR2(120) ,
    ISSUE_NUMBER                  VARCHAR2(800) ,
    ISSUE_DATE                    DATE          ,
    ISSUE_DESCRIPTION             VARCHAR2(960) ,
    DIRECT_FUNDING_AMOUNT         NUMBER        ,
    INDIRECT_FUNDING_AMOUNT       NUMBER        ,
    PROCESSED_STATUS              VARCHAR2(120) ,
    PROCESSED_MESSAGE             VARCHAR2(4000),
    MESSAGE_CODE                  VARCHAR2(800) ,
    MESSAGE_USER_DETAILS          VARCHAR2(4000),
    MESSAGE_USER_ACTION           VARCHAR2(4000),
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    AWARD_FUNDING_INTERFACE_ID    NUMBER(18, 0) ,
    LOAD_REQUEST_ID               NUMBER(18, 0) ,
    AWARD_NUMBER                  VARCHAR2(1200),
    BUDGET_PERIOD_NAME            VARCHAR2(240) ,
    FUNDING_SOURCE_NAME           VARCHAR2(1440),
    ISSUE_TYPE                    VARCHAR2(120) ,
    ISSUE_NUMBER                  VARCHAR2(800) ,
    ISSUE_DATE                    DATE          ,
    ISSUE_DESCRIPTION             VARCHAR2(960) ,
    DIRECT_FUNDING_AMOUNT         NUMBER        ,
    INDIRECT_FUNDING_AMOUNT       NUMBER        ,
    PROCESSED_STATUS              VARCHAR2(120) ,
    PROCESSED_MESSAGE             VARCHAR2(4000),
    MESSAGE_CODE                  VARCHAR2(800) ,
    MESSAGE_USER_DETAILS          VARCHAR2(4000),
    MESSAGE_USER_ACTION           VARCHAR2(4000),
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    FUNDING_SOURCE_NUMBER         VARCHAR2(200) ,
    CONSTRAINT pk_gms_award_funding_int PRIMARY KEY (AWARD_FUNDING_INTERFACE_ID, AWARD_FUNDING_INTERFACE_ID)
);
